Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.transport.mailto.client
Class MailTransport

    java.lang.Object
      org.apache.axis.client.Transport
          org.jboss.net.axis.transport.mailto.client.MailTransport

public class MailTransport
extends org.apache.axis.client.Transport

Title:
  Mail Transport

Description:
  Client side email transport object. This transport needs at least a recipient and an action to work properly.

Version:
  $Revision: 1.1 $
Author:
  Jason Essington

Field Summary
`static String` | `DEFAULT_TRANSPORT_NAME`

Fields inherited from class org.apache.axis.client.Transport
`transportName, url`

Constructor Summary
`MailTransport()`

Method Summary
`void` | `processReturnedMessageContext(org.apache.axis.MessageContext context)`
`void` | `setupMessageContextImpl(org.apache.axis.MessageContext msgCtx, org.apache.axis.client.Call call, org.apache.axis.AxisEngine engine)`
`void` | `setUrl(String url)`

Methods inherited from class org.apache.axis.client.Transport
`getTransportName, getUrl, setTransportName, setupMessageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRANSPORT_NAME

    public static final String DEFAULT_TRANSPORT_NAME

See Also:
  Constant Field Values

Constructor Detail

### MailTransport

    public MailTransport()

Method Detail

### processReturnedMessageContext

    public void processReturnedMessageContext(org.apache.axis.MessageContext context)

### setUrl

    public void setUrl(String url)

### setupMessageContextImpl

    public void setupMessageContextImpl(org.apache.axis.MessageContext msgCtx,
                                        org.apache.axis.client.Call call,
                                        org.apache.axis.AxisEngine engine)
                                 throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.